/*
 *  $Id: ic_finish.c,v 1.4 1993/11/12 12:31:42 doss Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */

#include <mpi.h>


/*@

MPI_Intercomm_finish - finish the creation of an intercommunicator 

algorithm:
This works for inter-communicators started *without* the name server.  
However, it may work for the name server also.
. 1) If I'm the leader, the lower ranked process in the peer communicator 
     waits on the send, then the receive; the other waits on the receive, 
     then the send.
. 2) The context/remote_group info is broadcast to all in the local_comm
     from the leader.
. 3) Make the communicator from the information available.
@*/
int MPI_Intercomm_finish ( inter_request, comm_out )
MPI_Intercomm_request  inter_request;
MPI_Comm      *comm_out;
{
  
}
